Altibase.jdbc.driver.cm

## Class CmProtocolContextLob

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmProtocolContext
  - - Altibase.jdbc.driver.cm.CmProtocolContextLob

    public class CmProtocolContextLob
    extends CmProtocolContext

### Constructor Summary

Constructors
Constructor and Description
`CmProtocolContextLob(CmChannel aChannel, long aLocatorId, long aLobLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getBlobData()`
`CmBlobGetResult` `getBlobGetResult()`
`int` `getByteLengthPerChar()`
`char[]` `getClobData()`
`CmClobGetResult` `getClobGetResult()`
`int` `getDstOffset()`
`void` `initMode()`
`boolean` `isCopyMode()`
`void` `releaseCopyMode()`
`void` `setBlobData(byte[] aValue)`
`void` `setClobData(char[] aValue)`
`void` `setCopyMode()`
`void` `setDstOffset(int aOffset)`
`void` `setMode(byte aIsDirectAbled)`

### Methods inherited from class Altibase.jdbc.driver.cm.CmProtocolContext

`addCmResult, addError, channel, clearCmResult, clearError, getCmResult, getError, setChannel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmProtocolContextLob

    public CmProtocolContextLob(CmChannel aChannel,
                                long aLocatorId,
                                long aLobLength)

### Method Detail

#### getBlobGetResult

    public CmBlobGetResult getBlobGetResult()

#### getClobGetResult

    public CmClobGetResult getClobGetResult()

#### setBlobData

    public void setBlobData(byte[] aValue)

#### getBlobData

    public byte[] getBlobData()

#### setClobData

    public void setClobData(char[] aValue)

#### getClobData

    public char[] getClobData()

#### getByteLengthPerChar

    public int getByteLengthPerChar()

#### setDstOffset

    public void setDstOffset(int aOffset)

#### getDstOffset

    public int getDstOffset()

#### isCopyMode

    public boolean isCopyMode()

#### setCopyMode

    public void setCopyMode()

#### initMode

    public void initMode()

#### releaseCopyMode

    public void releaseCopyMode()

#### setMode

    public void setMode(byte aIsDirectAbled)